Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.gui
Interface Constants

All Known Implementing Classes:
  Animator, AnnotationNote, AnnotationNoteHandler, Arc, ArcHandler, ArcPath, ArcPathPoint, ArcPathPointHandler, CreateGui, DataLayer, Grid, GuiFrame, GuiView, ModuleLoader, ModuleManager, PetriNetObject, PetriNetObjectHandler, Place, PlaceHandler, PlaceTransitionObject, PlaceTransitionObjectHandler, SelectionObject, StatusBar, Token, Transition, TransitionHandler, ViewExpansionComponent

    public interface Constants

Field Summary
`static int` | `ADDTOKEN`
`static int` | `ANIMATE`
`static int` | `ANNOTATION`
`static java.lang.String` | `ANNOTATION_DEFAULT_FONT`
`static int` | `ANNOTATION_DEFAULT_FONT_SIZE`
`static int` | `ANNOTATION_LAYER_OFFSET`
`static int` | `ANNOTATION_MIN_WIDTH`
`static int` | `ANNOTATION_SIZE_OFFSET`
`static int` | `ARC`
`static int` | `ARC_CONTROL_POINT_CONSTANT`
`static int` | `ARC_LAYER_OFFSET`
`static int` | `ARC_PATH_PROXIMITY_WIDTH`
`static int` | `ARC_PATH_SELECTION_WIDTH`
`static int` | `ARC_POINT_LAYER_OFFSET`
`static java.lang.String` | `CLASS_FILE_DESC`
`static java.lang.String` | `CLASS_FILE_EXTENSION`
`static int` | `CREATING`
`static int` | `DEFAULT_ELEMENT_TYPE`
`static int` | `DELETE`
`static int` | `DELTOKEN`
`static int` | `DRAG`
`static int` | `DRAW`
`static java.awt.Color` | `ELEMENT_FILL_COLOUR`
`static java.awt.Color` | `ELEMENT_LINE_COLOUR`
`static java.awt.Color` | `ENABLED_TRANSITION_COLOUR`
`static int` | `FIRE`
`static int` | `GRID`
`static int` | `IMMTRANS`
`static int` | `LOWEST_LAYER_OFFSET`
`static java.awt.Color` | `NOTE_DISABLED_COLOUR`
`static java.awt.Color` | `NOTE_EDITING_COLOUR`
`static int` | `PLACE`
`static int` | `PLACE_TRANSITION_HEIGHT`
`static int` | `PLACE_TRANSITION_LAYER_OFFSET`
`static int` | `PLACE_TRANSITION_PROXIMITY_RADIUS`
`static java.lang.String` | `PROPERTY_FILE_DESC`
`static java.lang.String` | `PROPERTY_FILE_EXTENSION`
`static int` | `RANDOM`
`static int` | `RESERVED_BORDER`
`static java.awt.Color` | `RESIZE_POINT_DOWN_COLOUR`
`static int` | `SELECT`
`static java.awt.Color` | `SELECTION_FILL_COLOUR`
`static int` | `SELECTION_LAYER_OFFSET`
`static java.awt.Color` | `SELECTION_LINE_COLOUR`
`static int` | `START`
`static int` | `STEPBACKWARD`
`static int` | `STEPFORWARD`
`static int` | `STOP`
`static int` | `TIMEDTRANS`

Field Detail

### PROPERTY_FILE_EXTENSION

    static final java.lang.String PROPERTY_FILE_EXTENSION

See Also:
  Constant Field Values

### PROPERTY_FILE_DESC

    static final java.lang.String PROPERTY_FILE_DESC

See Also:
  Constant Field Values

### CLASS_FILE_EXTENSION

    static final java.lang.String CLASS_FILE_EXTENSION

See Also:
  Constant Field Values

### CLASS_FILE_DESC

    static final java.lang.String CLASS_FILE_DESC

See Also:
  Constant Field Values

### ANIMATE

    static final int ANIMATE

See Also:
  Constant Field Values

### RANDOM

    static final int RANDOM

See Also:
  Constant Field Values

### START

    static final int START

See Also:
  Constant Field Values

### FIRE

    static final int FIRE

See Also:
  Constant Field Values

### STEPFORWARD

    static final int STEPFORWARD

See Also:
  Constant Field Values

### STEPBACKWARD

    static final int STEPBACKWARD

See Also:
  Constant Field Values

### STOP

    static final int STOP

See Also:
  Constant Field Values

### PLACE

    static final int PLACE

See Also:
  Constant Field Values

### IMMTRANS

    static final int IMMTRANS

See Also:
  Constant Field Values

### TIMEDTRANS

    static final int TIMEDTRANS

See Also:
  Constant Field Values

### ADDTOKEN

    static final int ADDTOKEN

See Also:
  Constant Field Values

### DELTOKEN

    static final int DELTOKEN

See Also:
  Constant Field Values

### ANNOTATION

    static final int ANNOTATION

See Also:
  Constant Field Values

### SELECT

    static final int SELECT

See Also:
  Constant Field Values

### DELETE

    static final int DELETE

See Also:
  Constant Field Values

### ARC

    static final int ARC

See Also:
  Constant Field Values

### GRID

    static final int GRID

See Also:
  Constant Field Values

### DRAW

    static final int DRAW

See Also:
  Constant Field Values

### DRAG

    static final int DRAG

See Also:
  Constant Field Values

### CREATING

    static final int CREATING

See Also:
  Constant Field Values

### DEFAULT_ELEMENT_TYPE

    static final int DEFAULT_ELEMENT_TYPE

See Also:
  Constant Field Values

### PLACE_TRANSITION_HEIGHT

    static final int PLACE_TRANSITION_HEIGHT

See Also:
  Constant Field Values

### ENABLED_TRANSITION_COLOUR

    static final java.awt.Color ENABLED_TRANSITION_COLOUR

### ELEMENT_LINE_COLOUR

    static final java.awt.Color ELEMENT_LINE_COLOUR

### ELEMENT_FILL_COLOUR

    static final java.awt.Color ELEMENT_FILL_COLOUR

### SELECTION_LINE_COLOUR

    static final java.awt.Color SELECTION_LINE_COLOUR

### SELECTION_FILL_COLOUR

    static final java.awt.Color SELECTION_FILL_COLOUR

### ARC_CONTROL_POINT_CONSTANT

    static final int ARC_CONTROL_POINT_CONSTANT

See Also:
  Constant Field Values

### ARC_PATH_SELECTION_WIDTH

    static final int ARC_PATH_SELECTION_WIDTH

See Also:
  Constant Field Values

### ARC_PATH_PROXIMITY_WIDTH

    static final int ARC_PATH_PROXIMITY_WIDTH

See Also:
  Constant Field Values

### PLACE_TRANSITION_PROXIMITY_RADIUS

    static final int PLACE_TRANSITION_PROXIMITY_RADIUS

See Also:
  Constant Field Values

### ARC_POINT_LAYER_OFFSET

    static final int ARC_POINT_LAYER_OFFSET

See Also:
  Constant Field Values

### ARC_LAYER_OFFSET

    static final int ARC_LAYER_OFFSET

See Also:
  Constant Field Values

### PLACE_TRANSITION_LAYER_OFFSET

    static final int PLACE_TRANSITION_LAYER_OFFSET

See Also:
  Constant Field Values

### ANNOTATION_LAYER_OFFSET

    static final int ANNOTATION_LAYER_OFFSET

See Also:
  Constant Field Values

### SELECTION_LAYER_OFFSET

    static final int SELECTION_LAYER_OFFSET

See Also:
  Constant Field Values

### LOWEST_LAYER_OFFSET

    static final int LOWEST_LAYER_OFFSET

See Also:
  Constant Field Values

### RESERVED_BORDER

    static final int RESERVED_BORDER

See Also:
  Constant Field Values

### ANNOTATION_SIZE_OFFSET

    static final int ANNOTATION_SIZE_OFFSET

See Also:
  Constant Field Values

### ANNOTATION_MIN_WIDTH

    static final int ANNOTATION_MIN_WIDTH

See Also:
  Constant Field Values

### NOTE_DISABLED_COLOUR

    static final java.awt.Color NOTE_DISABLED_COLOUR

### NOTE_EDITING_COLOUR

    static final java.awt.Color NOTE_EDITING_COLOUR

### RESIZE_POINT_DOWN_COLOUR

    static final java.awt.Color RESIZE_POINT_DOWN_COLOUR

### ANNOTATION_DEFAULT_FONT

    static final java.lang.String ANNOTATION_DEFAULT_FONT

See Also:
  Constant Field Values

### ANNOTATION_DEFAULT_FONT_SIZE

    static final int ANNOTATION_DEFAULT_FONT_SIZE

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD